<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['adminname'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
$adminname=$_SESSION['adminname'];
$type="where name='$adminname'";
$adminpd=queryall(admin,$type);
if(!$adminpd){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
if($adminpd[qx]=='超级管理员'){}else{echo "<script>alert('无权限')</script><script>top.location.href='/$htlj/'</script>";exit;}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="gb2312">
<title>扣量列表</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<link rel="stylesheet" href="/layui/css/layui.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/font-awesome.min.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/admin.css" media="all">
<style type="text/css">
#tooltip{position:absolute;border:1px solid #ccc;background:#333;padding:2px;display:none;color:#fff;}
</style>
</head>
<body style="padding:10px;">
<div class="tplay-body-div">
<div class="layui-tab">
<ul class="layui-tab-title">
<li  class="layui-this"><a href="/htkl<?php echo $dshz?>" class="a_menu">扣量列表</a></li>
<li><a href="/htklpz<?php echo $dshz?>" class="a_menu">扣量配置</a></li>
</ul>
</div>
<fieldset class="layui-elem-field layui-field-title" style="margin-top: 30px;"><legend>扣量列表</legend></fieldset>
<div class="layui-tab layui-tab-brief">
<table class="layui-table">
<?php 
$sql="select sum(money) from kl  WHERE    shijian like '%".$day."%' ";
if ($res=mysql_query($sql)){
list($vgg1)=mysql_fetch_row($res);
mysql_free_result($res);
} 
$sql = mysql_query("SELECT * FROM kl  WHERE    shijian like '%".$day."%'");
$zggdd = mysql_num_rows($sql);
$sql2 = mysql_query("SELECT * FROM kl ");
$z = mysql_num_rows($sql2);
$sql="select sum(money) from kl";
if ($res=mysql_query($sql)){
list($vgg5)=mysql_fetch_row($res);
mysql_free_result($res);
} 
?>
<thead>
<tr>
<th style="text-align:center;" >今日扣单笔数</th>
<th style="text-align:center;" >今日扣单金额</th>
<th style="text-align:center;" >历史扣单总笔数</th>
<th style="text-align:center;" >历史扣单总金额</th>
</tr>
</thead>
<tbody>
<tr>
<td  style="text-align:center;" ><?php echo $zggdd?> 笔</td>
<td  style="text-align:center;" ><?php if($vgg1 == null){ ?>￥0元<?php }else{  ?>￥<?php $xs1=round($vgg1,2);echo $xs1;?> 元<?php } ?></td>
<td  style="text-align:center;" ><?php echo $z?> 笔</td>
<td  style="text-align:center;" ><?php if($vgg5 == null){ ?>￥0元<?php }else{  ?>￥<?php $xs1=round($vgg5,2);echo $xs1;?> 元<?php } ?></td>
</tr>
</tbody>
</table>
<hr>
<table class="layui-table">
<thead>
<tr>
<th style="text-align:center;" >选择</th>
<th style="text-align:center;" >代理ID</th>
<th style="text-align:center;" >代理用户名</th>
<th style="text-align:center;">商户订单号</th>
<th style="text-align:center;">平台订单号</th>
<th style="text-align:center;">扣单金额</th>
<th style="text-align:center;">扣单时间</th>
<th style="text-align:center;">扣单来源</th>
</tr>
</thead>
<tbody>
<?php 
$page_size=10; 
$sql = "WHERE 1=1";
$sqlq = mysql_query("SELECT * FROM kl  ".$sql." ");
$bs = mysql_num_rows($sqlq);
$b="select sum(money) from kl   ".$sql." ";
if ($res=mysql_query($b)){
list($money)=mysql_fetch_row($res);
mysql_free_result($res);
} 
$resultyttrt = mysql_query("select id from kl   ".$sql."  ");
$count = mysql_num_rows($resultyttrt); 
if($count == 0){echo '<tr> <td  colspan=18  style="text-align:center;"><center>没有记录</center></td></tr>';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
//判断当前页码 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from  kl   ".$sql." order by id desc   limit $offset, $page_size");
while ($a=mysql_fetch_array($query)) { 
?> 	
<tr>
<td style="text-align:center;" ><label class="demo--label2"><input class="demo--radio" type="checkbox"   name="ids[]" id="ck-<?php echo $a['id']?>" value="<?php echo $a['id']?>"><span class="demo--checkbox demo--radioInput"></span>    </label></td>
<td style="text-align:center;"><?php echo $a[userid]?></td>
<td style="text-align:center;"><?php echo $a[name]?></td>
<td style="text-align:center;"><?php echo $a[ddh]?></td>
<td style="text-align:center;"><?php echo $a[qudao]?></td>
<td style="text-align:center;">￥ <?php if($a[money]==null){?>0<?php }else{?><?php  $xs3=round($a[money],2);echo $xs3;?><?php }?> 元 </td>
<td style="text-align:center;"><?php echo  $a[shijian]?></td>
<td style="text-align:center;"><?php echo  $a[zymc]?></td>
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
$keyt.="<a href=\""."/htklpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/htklpage/".($page-1)."/\">上一页 </a>"; //上一页 
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
$keyt.="<a href=\""."/htklpage/".$i."/\">".$i."</a>"; 
} 
} 
if($page!=$pages){ 
$keyt.="<a href=\""."/htklpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/htklpage/{$pages}/\">尾页</a> "; //最后一页 
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?> 
<?php if($count =="0"){?>
<?php }else{?>
<?php if($count =="0"){?>
<?php }else{?>
<tr>
<td  colspan="18" style="text-align:left;padding-left:20px;" >
<a class="btn btn-success btn-xs chk-all" href="#" role="button">全选</a>  
<a class="btn btn-danger btn-xs unchk-all" href="#" role="button">全不选</a>
<a class="btn  btn-success  btn-xs btn-jiage plkl"  role="button">批量删除</a>
<a class="btn  btn-success  btn-xs "  onClick="zr()" role="button">删除昨日订单</a>
<a class="btn  btn-success  btn-xs btn-jiage " onClick="qt()" role="button">删除7天内订单</a>
<a class="btn btn-danger btn-xs" onClick="yy()" role="button">删除30天内订单</a>
<a class="btn btn-success btn-xs"  onClick="sy()" role="button">删除所有订单</a>  
</td>
</tr>
<?php }?>
<tr>
<td  colspan="18" style="text-align:center;font-size: 16px;color: #999;background-color: #fff;border-color: #fff" >总计:(笔数 <?php if($bs==null){?>0<?php }else{?><?php echo $bs?><?php }?> 笔 金额 ￥ <?php if($money==null){?>0<?php }else{?><?php  $xs3=round($money,2);echo $xs3;?><?php }?> 元 )</td>
</tr>
<?php }?>
</tbody>
</table>
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
<script src="/layui/layui.js"></script>
<script src="/2019newui/js/jquery.min.js"></script>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<?php if($count =="0"){?>
<?php }else{?>
<script>
$(document).on('click', '.chk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', 'checked');
});
$(document).on('click', '.unchk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', false);
});
$(document).on('click', '.plkl', function(event) {
event.preventDefault();
var _ids = '';
$.each($('input[name="ids[]"]:checked'), function(index, val) {
_ids += $(val).val()+',';
});
if (_ids == '') {
layer.msg('请选择ID');
return false;
}
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {aqm:aqm, lx: 'klsc',id:_ids},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
},
});
});
function zr() {
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {aqm:aqm, cz: 'klzr'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
},
});
}
function qt() {
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {aqm:aqm, lx: 'klqt'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
},
});
}
function yy() {
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {aqm:aqm, lx: 'klyy'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
},
});
}
function sy() {
layer.open({
title: '请输入安全码',
area: '220px',
shade: 0.8,
content: '<div class="mark"><div style="margin: 0px 0px 10px 1px;"><span><input type="text" value=""  id="aqm" style="width: 88%;height:30px;" placeholder="安全码" ><br><br><div>请输入安全码，以保证数据安全</div></div></div>',
btn: ['确认'],
shadeClose: false,
yes: function(){
var aqm = $("#aqm").val();
if (aqm == '') {
layer.msg('请输入安全码');
return false;
}
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {aqm:aqm, lx: 'klsy'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('删除成功');
location.reload();
} 
},
error:function(){
}
});
},
});
}
</script>
<?php }?>
</body>
</html>